function [f,g,H] = hard(x,y)
 
  %Function Evaluation
  f=x.^4-32.*x.*y+y.^4;
  
  %Gradient Evaluation
  g = zeros(1,2);
  g(1) = 4*x.^3-32.*y;
  g(2) = 4*y.^3-32.*x;
  
  %Hessian Evaluation
  H=[12*x.^2  -32; -32 12*y.^2];
end

 